package com.liquidnet.service.candy.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class CandyUseResultVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 4073256621782131607L;

    private BigDecimal value;
    private Integer couType;

    private static final CandyUseResultVo obj = new CandyUseResultVo();

    public static CandyUseResultVo getNew() {
        try {
            return (CandyUseResultVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new CandyUseResultVo();
    }

}
